Blender Documentation Volume II - Reference Guide: Last modified March 29 2004 S68
<<< Previous | Python API Reference | Next >>>

# The BezTriple object

This object gives access to generic data from all beztriple objects in Blender.

Method Summary |
list | `getPoints()` Returns the xy coordinates of the Bezier point.
PyNone | `setPoints(newval)` Sets the point xy coordinates.

Class Variable Summary |
| `name` - The Curve Data name.

Method Details |

getPoints()

Returns the xy coordinates of the Bezier point.

  Returns:

    list of the coordinates of the Bezier point.

    (type=list)

setPoints(newval)

Sets the point xy coordinates.

  Parameters:

    `newval` - the x and y coordinates of the new Bezier point.

    (type=tuple of (at least) 2 floats)

  Returns:

    PyNone

    (type=PyNone)

Class Variable Details |

name The Curve Data name. @cvar bezierPoints : The list of the Bezier points.

<<< Previous | Home | Next >>>
Class BezTriple | Up | Class Ipo